<template>
  <div class="faq">
    <div class="faq__container container">
      <h1 class="faq__title">How to pass two-factor authentication on TBCC</h1>
      <p class='faq__subtitle'>The two-factor authentication in TBCC is necessary to protect your data, assets, and history from irresponsible people</p>
      <div class="faq__content content">
        <div class="content__item">
          <span class='text-center'>
              Enable Google Authentication
          </span>
          <p class="content__item-text text-center">
            If you want to activate Google Authenticator on TBCC, follow the steps below:
          </p>
          <p class="content__item-text">1. Log into your TBCC account and click <span>Profile → Security</span> tabs at the top right-hand side of the page.</p>
          <p class="content__item-text">2. Click <span>Enable</span> next to <span>Google Authenticator</span>.</p>
          <p class="content__item-text">
            3. You will be redirected to another page. Follow the step-by-step instructions to enable Google Authenticator.
          </p>
          <p class="content__item-text pl-20 mb-15"><span class='white'>Step 1.</span> Download and install a Google Authenticator App.</p>
          <p class="content__item-text pl-20 mb-15"><span class='white'>Step 2.</span> Scan this QR code in the Google Authenticator App or enter the code manually into the app.
          </p>
          <p class="content__item-text pl-20 mb-15"><span class='white'>Step 3.</span> Please save this Key on paper. It will allow you to recover your Google Authenticator in case of phone loss.
          </p>
          <p class="content__item-text pl-20 mb-15 white">Note: Resetting your Google Authentication requires opening a support ticket and takes at least 7 days to process.
          </p>
          <p class="content__item-text pl-20 mb-15"><span class='white'>Step 4.</span> Verify your Google Authenticator with your other 2FA devices.
          </p>
          <p class="content__item-text">
            4. Congratulations! You have successfully enabled Google Authenticator to protect your account.
          </p>
        </div>
        <div class="content__item">
          <span class='text-center'>
              Enable SMS Authentication
          </span>
          <p class="content__item-text text-center">
            If you want to activate 2FA SMS on TBCC, follow the steps below:
          </p>
          <p class="content__item-text pl-20 mb-15"><span class='white'>Step 1.</span> Log into your TBCC account and click <span>Profile → Security</span> tabs at the top right-hand side of the page.</p>
          <p class="content__item-text pl-20 mb-15"><span class='white'>Step 2.</span> Click <span>Enable</span> on the SMS Authentication option.
          </p>
          <p class="content__item-text pl-20 mb-15"><span class='white'>Step 3.</span> You will now need to enter your mobile phone number and click <span>Send SMS</span>.</p>
          <p class="content__item-text pl-20 mb-15"><span class='white'>Step 4.</span> Once you have received the SMS, input your SMS Authentication Code into the field and click <span>Submit</span>.</p>
          <p class="content__item-text text-center">
            Congratulations! You have successfully enabled SMS Authentication to protect your account.
          </p>
        </div>
      </div>
      <div class="faq__list list">
        <p class="list__title">Learn to trade efficiently:</p>
        <div class="list__wrap">
          <nuxt-link class="list__link arrow-link" :to="localePath('/faq/how-to-trade')"
            >How to trade?</nuxt-link
          >
          <nuxt-link
            class="list__link arrow-link"
            :to="localePath('/faq/how-to-stake')"
            >How to stake?</nuxt-link
          >
          <nuxt-link class="list__link arrow-link" :to="localePath('/faq/how-to-change-email')"
            >How to Change Account Email?</nuxt-link
          >
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  head() {
    return {
      title: 'TBCC | FAQ',
      link: [
        {
          rel: 'canonical',
          href: `https://tbcctoken.com/faq/${this.$route.path}`,
        },
      ],
    }
  },
}
</script>

<style lang="scss" scoped>
.faq {
  background: linear-gradient(169deg, #1f0c71 27.28%, #041344 67.8%);
  position: relative;
  z-index: 1;

  @media (min-width: 768px) {
    &::after {
      content: '';
      width: 1798px;
      height: 715px;
      background-image: url('../../assets/img/stones@2x.png');
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: -20px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }

  &__container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 120px;
  }

  &__title {
    font-size: 42px;
    line-height: 52px;
    text-align: center;
    color: white;
    max-width: 630px;
    margin: 0 0 25px;
    font-weight: 500;

    @media (max-width: 767px) {
      font-size: 30px;
      line-height: 37px;
      text-align: center;
      max-width: 300px;
    }
  }

  &__subtitle {
    max-width: 640px;
    font-size: 18px;
    line-height: 28px;
    text-align: center;
    color: #ffffff;
    margin: 0 0 25px;

    @media (max-width: 767px) {
      font-size: 16px;
      line-height: 24px;
      max-width: 330px;
    }
  }

  &__content {
    display: flex;
    flex-direction: column;
    margin-bottom: 84px;
  }
}

.content {
  max-width: 830px;
  width: 100%;

  @media (max-width: 767px) {
    max-width: 316px;
  }

  &__item {
    display: flex;
    flex-direction: column;

    &:not(:last-child) {
      margin-bottom: 30px;
    }

    & > span {
      font-weight: 500;
      font-size: 28px;
      line-height: 34px;
      color: white;
      margin: 0 0 20px;
      display: inline-block;

      @media (max-width: 767px) {
        font-size: 22px;
        line-height: 27px;
      }
    }
  }

  &__item-text {
    font-size: 16px;
    line-height: 24px;
    color: #6983ab;
    margin: 0 0 30px;

    a {
      color: #66b6ff;
    }

    span {
      font-weight: 500;
    }
  }

  &__item-subtitle {
    color: white;
    text-align: center;
    max-width: 590px;
    align-self: center;

    @media (max-width: 767px) {
      max-width: 330px;
    }
  }
}

.list {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 830px;
  width: 100%;
  margin-bottom: 140px;

  @media (max-width: 767px) {
    margin-bottom: 30px;
  }

  &__title {
    font-weight: 500;
    font-size: 28px;
    line-height: 34px;
    text-align: center;
    color: #ffffff;
    margin: 0 0 50px;
  }

  &__wrap {
    display: flex;
    width: 100%;
    align-items: center;

    @media (max-width: 767px) {
      flex-direction: column;
      max-width: 316px;
    }
  }

  &__link {
    text-transform: none;
    font-size: 22px;
    line-height: 26px;
    color: #ffffff99;
    font-weight: 300;


    @media (min-width: 768px) {
      width: calc(33.33% - 20px);

    }

    &:not(:last-child) {
      @media (min-width: 768px) {
        margin-right: 30px;
      }
    }

    @media (max-width: 767px) {
      margin-right: auto;
      padding-top: 40px;
      padding-bottom: 40px;
      border-bottom: 1px solid #18265b;
      width: 100%;

      &:last-child {
        border-bottom: none;
      }
    }
  }
}

.text-left {
  text-align: left;
}

.text-center {
  text-align: center;
}

.sub-text {
  text-align: right;
  font-size: 14px;
  line-height: 125%;
  display: inline-block;
  width: 100%;
}

.pl-20 {
  padding-left: 20px;
}

.mb-15 {
  margin-bottom: 15px;
}

.white {
  color: white;
}
</style>
